	
/*	pitchpatch
 *	this data structure stores information
 *	for changing a pitch range to a patch
 */
#define MIDI_CHANNELS	16

#define NRANGE	50		/* nr of possible pitch changes / channel */


struct _pitchpatch {
	int	translate;	/* translation flag (true/false) */
	int	n;		/* number of ranges */
	int	start[NRANGE];	/* pitch range start */
	int	end[NRANGE];	/* pitch range end */
	int	patch[NRANGE];	/* patch to translate to */
	int	offset[NRANGE];	/* pitch offset */
	int	priority[NRANGE];	/* pitch offset */
	int	cover[NRANGE];	/* cover flag, last entries always a cover for*/
				/* the whole note range, points to patch 0 */
#if 0
	int	ix[NRANGE];	/* index into JAZ patch_tab */
#endif
};

